> ## Documentation Index
> Fetch the complete documentation index at: https://developer.payrollintegrations.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Employer Invite Session

> Generates a new link for an existing employer onboarding invite

The generated onboarding link is only valid for 30 minutes, and it should be opened in the client's browser as it cannot be reused once activated. For asynchronous onboarding, use the send-email endpoint.


## OpenAPI

````yaml api-reference/openapi.json POST /v1/employer-identifiers/{employer_identifier}/invites/{invite}/session
openapi: 3.0.3
info:
  title: Payroll Integrations Public API
  version: 1.0.0
  description: Public API for Payroll Integrations platform
  license:
    name: MIT
servers:
  - url: https://api.payrollintegrationsapp.com
    description: Production
security: []
tags:
  - name: auth
  - name: employer-identifiers
  - name: meta
  - name: payroll-connections
  - name: payroll-platforms
  - name: roles
  - name: users
  - name: webhooks
paths:
  /v1/employer-identifiers/{employer_identifier}/invites/{invite}/session:
    post:
      tags:
        - employer-identifiers
      description: Generates a new link for an existing employer onboarding invite
      operationId: post_v1_employer_identifiers_employer_identifier_invites_invite_session
      parameters:
        - name: employer_identifier
          in: path
          required: true
          schema:
            description: >-
              ID of the employer identifier to create a new onboarding session
              token for
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          description: >-
            ID of the employer identifier to create a new onboarding session
            token for
        - name: invite
          in: path
          required: true
          schema:
            description: ID of the employer invite to retrieve
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          description: ID of the employer invite to retrieve
      responses:
        '200':
          description: Employer invite session link created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmployerInviteSession'
              example:
                onboardingLink: >-
                  https://secure.payrollintegrationsdemo.com/link?token=eyJhbGciOiJSUzI1NiIsImtpZCI6Ik1UY3pOVEkyTnpnNU1ERT0ifQ.eyJzdWIiOiI5ZjJhNGJjZC03ZThmLTQ1YWItYjkxMi1hYzNkZWY2NzhhOTAiLCJpc3MiOiJodHRwczpcL1wvY29nbml0by1pZHAudXMtd2VzdC0yLmFtYXpvbmF3cy5jb21cL3VzLXdlc3QtMl9TYW1wbGVQb29sIiwiY2xpZW50X2lkIjoiN2g4ajlrMGwxbTJuM280cDVxNnI3czh0OXUiLCJvcmlnaW5fanRpIjoiYjZjN2Q4ZTktZjBhMS00MmIzLThjZDQtZTVmNmE3YjhjOWQwIiwiZXZlbnRfaWQiOiJhNWI2YzdkOC1lOWYwLTQxYTItN2JjMy1kNGU1ZjZhN2I4YzkiLCJ0b2tlbl91c2UiOiJhY2Nlc3MiLCJzY29wZSI6ImF3cy5jb2duaXRvLnNpZ25pbi51c2VyLmFkbWluIiwiYXV0aF90aW1lIjoxNzAwMDAwMDAwLCJleHAiOjE3MDAwMDM2MDAsImlhdCI6MTcwMDAwMDAwMCwianRpIjoiYzFkMmUzZjQtZzVoNi00N2k4LTg5ajAtZGVmZ2gxMjM0aTU2IiwidXNlcm5hbWUiOiJzYW1wbGUtdXNlci03ZjhhOWJjZC0xZTJmLTNnNGgtNWk2ai03azhsOW0wbjFvMnAifQ.VGhpc0lzQVJhbmRvbVNpZ25hdHVyZVRoYXRJc05vdFZhbGlkQW5kU2hvdWxkTm90QmVVc2VkSW5Qcm9kdWN0aW9uRW52aXJvbm1lbnRzVGhpc0lzQU1vY2tFeGFtcGxlRm9yRG9jdW1lbnRhdGlvblB1cnBvc2VzT25seVBsZWFzZUdlbmVyYXRlWW91ck93blJlYWxUb2tlbkZyb21Db2duaXRvSW5Qcm9kdWN0aW9uRW52aXJvbm1lbnRzTm90VGhpc0V4YW1wbGU&plan=3
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Invalid or missing token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers:
            WWW-Authenticate:
              schema:
                description: Authentication challenge (Bearer)
                type: string
              description: Authentication challenge (Bearer)
        '403':
          description: Insufficient permissions or access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Employer invite not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers:
            Retry-After:
              schema:
                description: Number of seconds to wait before retrying
                type: string
              description: Number of seconds to wait before retrying
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    EmployerInviteSession:
      type: object
      properties:
        onboardingLink:
          type: string
          format: uri
      required:
        - onboardingLink
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        message:
          description: Human-readable error message
          type: string
        errors:
          description: Array of specific error details
          type: array
          items:
            type: string
      required:
        - message
        - errors
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token obtained from the /v1/auth/token endpoint. Send as:
        Authorization: Bearer <token>.

````